%define major		4.6
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define libname_orig	lib%{name}

Name:		wvstreams
Version: 	4.6.1
Release: 	%mkrel 3
License: 	LGPLv2+
Group:          System/Libraries
Summary: 	Network programming library written in C++
URL: 		http://code.google.com/p/wvstreams
Source0: 	http://wvstreams.googlecode.com/files/%{name}-%{version}.tar.xz
Patch1:     	wvstreams-4.2.2-multilib.patch
Patch2:     	wvstreams-4.5-noxplctarget.patch
Patch3:     	wvstreams-4.6.1-glibc212.patch
Patch4:     	wvstreams-4.6.1-parallel-make.patch
Patch5:     	wvstreams-4.6.1-openssl-1.0.0.patch
Patch6:     	wvstreams-4.6.1-gcc47.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	openssl-devel
BuildRequires: 	zlib-devel
BuildRequires:	libxplc-devel
BuildRequires:	readline-devel
BuildRequires:	dbus-devel
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes: 	%name < %version

%description
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.

%package -n uniconf
Group:		System/Configuration/Other
Summary:	Configuration system
Requires: 	%{libname} = %{version}-%{release}

%description -n uniconf
UniConf is a configuration system that can serve as the centrepiece among 
many other, existing configuration systems. UniConf can also be accessed over 
the network, with authentication, allowing easy replication of configuration 
data via the UniReplicateGen. This package contains the server that accepts 
incoming TCP or Unix connections, and gets or sets UniConf elements at the 
request of a UniConf client. 

%package -n %{libname}
Group:          System/Libraries
Summary: 	Network programming library written in C++

%description -n %{libname}
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.

%package -n %{develname}
Summary: 	Development files for WvStreams
Group: 		Development/Libraries
Requires: 	%{libname} = %{version}-%{release}
Provides: 	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}%{name}4.3-devel
Obsoletes:	%{_lib}%{name}0-devel

%description -n %{develname}
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development. This package contains the files
needed for developing applications which use WvStreams.

%prep
%setup -q
%patch1 -p1 -b .multilib
%patch2 -p1 -b .xplctarget
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p0

%build
CFLAGS="%{optflags} -fpermissive" \
    CXXFLAGS="%{optflags} -fpermissive -fno-tree-dce -fno-optimize-sibling-calls" \
    %configure2_5x \
    --disable-static \
    --with-dbus=yes --with-pam \
    --with-openssl \
    --with-zlib \
    --with-qt=no \
    --with-pam=no \
    --with-tcl=no
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files -n uniconf
%defattr(-,root,root)
%{_sysconfdir}/uniconf.conf
%{_bindir}/uni

%{_sbindir}/uniconfd
%{_mandir}/man8/*
%dir %{_localstatedir}/lib/uniconf
%{_localstatedir}/lib/uniconf/uniconfd.ini

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{develname}
%doc README
%defattr(-,root,root)
%{_bindir}/wsd
%{_bindir}/wvtestrun
%{_includedir}/wvstreams
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_libdir}/valgrind/*.supp



%changelog
* Sat Jun 29 2013 Texstar <texstar at gmail.com> 4.6.1-3pclos2013
- fix compile flags from fedora

* Sun Jun 16 2013 Texstar <texstar at gmail.com> 4.6.1-2pclos2013
- update and build for 64bit

* Sun Nov 15 2009 Texstar <texstar at gmail.com> 4.6.1-pclos2010
- gcc update
- 4.6.1

